Subject: Re: bug#45322: Documentation of mouse-wheel-progressive-speed clarification

From: Tomas Nordin <[email-masked]>
Date: Wed, 19 May 2021 19:34:31 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Tomas Nordin <[email-masked]> writes:
>
>> That explains (the first sentence) the effect when the variable is nil,
>> the scrolling speed is proportional to the wheel speed. When non-nil,
>> scrolling speed will increase (progress) the more the wheel is turned.
>> Isn't it.
>
> [...]
>
>>  (defcustom mouse-wheel-progressive-speed t
>> -  "If non-nil, the faster the user moves the wheel, the faster the scrolling.
>> +  "If non-nil, the more the user moves the wheel, the faster the scrolling.
>
> Thanks for the patch, but I don't think just replacing "faster" with
> "more" here clarifies all that much.  I've instead rewritten the doc
> string according to your explanation in Emacs 28.

Thanks, I think it is less confusing and more correct now.

But still, in my experience, the progression of scroll speed is in
effect with a constant rotational speed of the mouse wheel.

>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

--
Tomas